gtkmm 2.4: Pango::TabArray Class Reference

Main Page Widgets Namespaces Book

# Pango::TabArray Class Reference

List of all members.

## Detailed Description

A Pango::TabArray contains an array of tab stops.

Each tab stop has an alignment and a position.

## Public Member Functions
bool | get_positions_in_pixels () const
| Returns `true` if the tab positions are in pixels, `false` if they are in Pango units.
int | get_size () const
| Gets the number of tab stops in tab_array .
std::pair<TabAlign, int> | get_tab (int tab_index) const
| Gets the alignment and position of a tab stop.
Glib::ArrayHandle< std::pair< TabAlign, int > > | get_tabs () const
| Gets an array of std::pairs containing the tab stop alignments and tab positions.
const PangoTabArray* | gobj () const
| Provides access to the underlying C instance.
PangoTabArray* | gobj ()
| Provides access to the underlying C instance.
PangoTabArray* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
TabArray& | operator= (const TabArray& other)
void | resize (int new_size)
| Resizes a tab array.
void | set_tab (int tab_index, TabAlign alignment, int location)
| Sets the alignment and location of a tab stop.
void | swap (TabArray& other)
| TabArray (int initial_size, bool positions_in_pixels=true)
| TabArray (const TabArray& other)
| TabArray (PangoTabArray* gobject, bool make_a_copy=true)
| TabArray ()
| ~TabArray ()
## Protected Attributes
PangoTabArray* | gobject_
## Related Functions
(Note that these are not member functions.)
void | swap (TabArray& lhs, TabArray& rhs)
  | Parameters:
  | lhs | The left-hand side
Pango::TabArray | wrap (PangoTabArray* object, bool take_copy=false)
  | Parameters:
  | object | The C instance

## Constructor & Destructor Documentation

Pango::TabArray::TabArray | ( |  | ) |

Pango::TabArray::TabArray | ( | PangoTabArray * | gobject,
|  | bool | make_a_copy = `true` |
| ) |  |  | `[explicit]`

Pango::TabArray::TabArray | ( | const TabArray& | other | ) |

Pango::TabArray::~TabArray | ( |  | ) |

Pango::TabArray::TabArray | ( | int | initial_size,
|  | bool | positions_in_pixels = `true` |
| ) |  |  | `[explicit]`

## Member Function Documentation

bool Pango::TabArray::get_positions_in_pixels | ( |  | ) | const

Returns `true` if the tab positions are in pixels, `false` if they are in Pango units.

Returns:
  Whether positions are in pixels.

int Pango::TabArray::get_size | ( |  | ) | const

Gets the number of tab stops in tab_array .

Returns:
  The number of tab stops in the array.

std::pair<TabAlign,int> Pango::TabArray::get_tab | ( | int | tab_index | ) | const

Gets the alignment and position of a tab stop.

Returns:
  An std::pair<TabAlign, int>. The first element represents the tab stop alignment, the second one is the tab position.

Glib::ArrayHandle<std::pair<TabAlign,int>> Pango::TabArray::get_tabs | ( |  | ) | const

Gets an array of std::pairs containing the tab stop alignments and tab positions.

Returns:
  An array of std::pair<TabAlign, int>. The first element in each pair represents the tab stop alignment, the second one is the tab position.

const PangoTabArray* Pango::TabArray::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C instance.

PangoTabArray* Pango::TabArray::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C instance.

PangoTabArray* Pango::TabArray::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

TabArray& Pango::TabArray::operator= | ( | const TabArray& | other | ) |

void Pango::TabArray::resize | ( | int | new_size | ) |

Resizes a tab array.

You must subsequently initialize any tabs that were added as a result of growing the array.

Parameters:

  | new_size | New size of the array.

void Pango::TabArray::set_tab | ( | int | tab_index,
|  | TabAlign | alignment,
|  | int | location |
| ) |  |  |

Sets the alignment and location of a tab stop.

alignment must always be Pango::TAB_LEFT in the current implementation.

Parameters:

  | tab_index | The index of a tab stop.
  | alignment | Tab alignment.
  | location | Tab location in pango units.

void Pango::TabArray::swap | ( | TabArray& | other | ) |

## Friends And Related Function Documentation

void swap | ( | TabArray& | lhs,
|  | TabArray& | rhs |
| ) |  |  | `[related]`

Parameters:

  | lhs | The left-hand side

Parameters:

  | rhs | The right-hand side

Pango::TabArray wrap | ( | PangoTabArray * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

Parameters:

  | object | The C instance

Parameters:

  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

PangoTabArray* Pango::TabArray::gobject_`[protected]`

The documentation for this class was generated from the following file:

- tabarray.h